package ru.kirillius.pf.sdn.api.Networking;

import ru.kirillius.pf.sdn.api.dto.IPQueryInfo;

import java.net.Inet4Address;
import java.util.List;
import java.util.concurrent.Future;

public interface AutonomousSystemResolver {

    void registerApi(AutonomousSystemResolverApi api);

    Future<List<IPv4Subnet>> getPrefixes(int as);

    Future<IPQueryInfo> getAddressInfo(Inet4Address address);
}
